<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Parsers/IDL/idlvisitor.py.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Parsers/IDL/idlvisitor.py</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Parsers/IDL/idlvisitor.py</b><pre class="sxr"><a id="line1"></a><span class="lineno">  1</span><span class="line"><span class="py-comment"># -*- python -*-</span></span>
<a id="line2"></a><span class="lineno">  2</span><span class="line"><span class="py-comment">#                           Package   : omniidl</span></span>
<a id="line3"></a><span class="lineno">  3</span><span class="line"><span class="py-comment"># idlvisitor.py             Created on: 1999/10/27</span></span>
<a id="line4"></a><span class="lineno">  4</span><span class="line"><span class="py-comment">#			    Author    : Duncan Grisby (dpg1)</span></span>
<a id="line5"></a><span class="lineno">  5</span><span class="line"><span class="py-comment">#</span></span>
<a id="line6"></a><span class="lineno">  6</span><span class="line"><span class="py-comment">#    Copyright (C) 1999 AT&amp;T Laboratories Cambridge</span></span>
<a id="line7"></a><span class="lineno">  7</span><span class="line"><span class="py-comment">#</span></span>
<a id="line8"></a><span class="lineno">  8</span><span class="line"><span class="py-comment">#  This file is part of omniidl.</span></span>
<a id="line9"></a><span class="lineno">  9</span><span class="line"><span class="py-comment">#</span></span>
<a id="line10"></a><span class="lineno"> 10</span><span class="line"><span class="py-comment">#  omniidl is free software; you can redistribute it and/or modify it</span></span>
<a id="line11"></a><span class="lineno"> 11</span><span class="line"><span class="py-comment">#  under the terms of the GNU General Public License as published by</span></span>
<a id="line12"></a><span class="lineno"> 12</span><span class="line"><span class="py-comment">#  the Free Software Foundation; either version 2 of the License, or</span></span>
<a id="line13"></a><span class="lineno"> 13</span><span class="line"><span class="py-comment">#  (at your option) any later version.</span></span>
<a id="line14"></a><span class="lineno"> 14</span><span class="line"><span class="py-comment">#</span></span>
<a id="line15"></a><span class="lineno"> 15</span><span class="line"><span class="py-comment">#  This program is distributed in the hope that it will be useful,</span></span>
<a id="line16"></a><span class="lineno"> 16</span><span class="line"><span class="py-comment">#  but WITHOUT ANY WARRANTY; without even the implied warranty of</span></span>
<a id="line17"></a><span class="lineno"> 17</span><span class="line"><span class="py-comment">#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span></span>
<a id="line18"></a><span class="lineno"> 18</span><span class="line"><span class="py-comment">#  General Public License for more details.</span></span>
<a id="line19"></a><span class="lineno"> 19</span><span class="line"><span class="py-comment">#</span></span>
<a id="line20"></a><span class="lineno"> 20</span><span class="line"><span class="py-comment">#  You should have received a copy of the GNU General Public License</span></span>
<a id="line21"></a><span class="lineno"> 21</span><span class="line"><span class="py-comment">#  along with this program; if not, write to the Free Software</span></span>
<a id="line22"></a><span class="lineno"> 22</span><span class="line"><span class="py-comment">#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA</span></span>
<a id="line23"></a><span class="lineno"> 23</span><span class="line"><span class="py-comment">#  02111-1307, USA.</span></span>
<a id="line24"></a><span class="lineno"> 24</span><span class="line"><span class="py-comment">#</span></span>
<a id="line25"></a><span class="lineno"> 25</span><span class="line"><span class="py-comment"># Description:</span></span>
<a id="line26"></a><span class="lineno"> 26</span><span class="line"><span class="py-comment">#   </span></span>
<a id="line27"></a><span class="lineno"> 27</span><span class="line"><span class="py-comment">#   Base classes for Visitors</span></span>
<a id="line28"></a><span class="lineno"> 28</span>
<a id="line29"></a><span class="lineno"> 29</span><span class="line"><span class="py-comment"># $Id: idlvisitor.py,v 1.8.2.1 2003/03/23 21:01:38 dgrisby Exp $</span></span>
<a id="line30"></a><span class="lineno"> 30</span><span class="line"><span class="py-comment"># $Log: idlvisitor.py,v $</span></span>
<a id="line31"></a><span class="lineno"> 31</span><span class="line"><span class="py-comment"># Revision 1.8.2.1  2003/03/23 21:01:38  dgrisby</span></span>
<a id="line32"></a><span class="lineno"> 32</span><span class="line"><span class="py-comment"># Start of omniORB 4.1.x development branch.</span></span>
<a id="line33"></a><span class="lineno"> 33</span><span class="line"><span class="py-comment">#</span></span>
<a id="line34"></a><span class="lineno"> 34</span><span class="line"><span class="py-comment"># Revision 1.5.2.2  2000/11/01 12:46:00  dpg1</span></span>
<a id="line35"></a><span class="lineno"> 35</span><span class="line"><span class="py-comment"># Update to CORBA 2.4 specification.</span></span>
<a id="line36"></a><span class="lineno"> 36</span><span class="line"><span class="py-comment">#</span></span>
<a id="line37"></a><span class="lineno"> 37</span><span class="line"><span class="py-comment"># Revision 1.5.2.1  2000/07/17 10:36:07  sll</span></span>
<a id="line38"></a><span class="lineno"> 38</span><span class="line"><span class="py-comment"># Merged from omni3_develop the diff between omni3_0_0_pre3 and omni3_0_0.</span></span>
<a id="line39"></a><span class="lineno"> 39</span><span class="line"><span class="py-comment">#</span></span>
<a id="line40"></a><span class="lineno"> 40</span><span class="line"><span class="py-comment"># Revision 1.6  2000/07/13 15:25:51  dpg1</span></span>
<a id="line41"></a><span class="lineno"> 41</span><span class="line"><span class="py-comment"># Merge from omni3_develop for 3.0 release.</span></span>
<a id="line42"></a><span class="lineno"> 42</span><span class="line"><span class="py-comment">#</span></span>
<a id="line43"></a><span class="lineno"> 43</span><span class="line"><span class="py-comment"># Revision 1.3  1999/11/15 15:49:23  dpg1</span></span>
<a id="line44"></a><span class="lineno"> 44</span><span class="line"><span class="py-comment"># Documentation strings.</span></span>
<a id="line45"></a><span class="lineno"> 45</span><span class="line"><span class="py-comment">#</span></span>
<a id="line46"></a><span class="lineno"> 46</span><span class="line"><span class="py-comment"># Revision 1.2  1999/10/29 18:20:01  dpg1</span></span>
<a id="line47"></a><span class="lineno"> 47</span><span class="line"><span class="py-comment"># Clean up</span></span>
<a id="line48"></a><span class="lineno"> 48</span><span class="line"><span class="py-comment">#</span></span>
<a id="line49"></a><span class="lineno"> 49</span><span class="line"><span class="py-comment"># Revision 1.1  1999/10/29 15:47:07  dpg1</span></span>
<a id="line50"></a><span class="lineno"> 50</span><span class="line"><span class="py-comment"># First revision.</span></span>
<a id="line51"></a><span class="lineno"> 51</span><span class="line"><span class="py-comment">#</span></span>
<a id="line52"></a><span class="lineno"> 52</span>
<a id="line53"></a><span class="lineno"> 53</span><span class="line"><span class="py-string">&quot;&quot;&quot;Visitor pattern visitors for AST nodes and types</span></span>
<a id="line54"></a><span class="lineno"> 54</span><span class="line"><span class="py-string"/></span>
<a id="line55"></a><span class="lineno"> 55</span><span class="line"><span class="py-string">This module declares abstract visitor classes for visiting AST nodes</span></span>
<a id="line56"></a><span class="lineno"> 56</span><span class="line"><span class="py-string">and type objects. Python's type system means that you do not actually</span></span>
<a id="line57"></a><span class="lineno"> 57</span><span class="line"><span class="py-string">need to derive from these classes to implement visitors. This module</span></span>
<a id="line58"></a><span class="lineno"> 58</span><span class="line"><span class="py-string">only really exists to show what functions should exist in visitors.</span></span>
<a id="line59"></a><span class="lineno"> 59</span><span class="line"><span class="py-string"/></span>
<a id="line60"></a><span class="lineno"> 60</span><span class="line"><span class="py-string">Classes:</span></span>
<a id="line61"></a><span class="lineno"> 61</span><span class="line"><span class="py-string"/></span>
<a id="line62"></a><span class="lineno"> 62</span><span class="line"><span class="py-string">  AstVisitor  -- visitor for classes in idlast.py</span></span>
<a id="line63"></a><span class="lineno"> 63</span><span class="line"><span class="py-string">  TypeVisitor -- visitor for classes in idltype.py&quot;&quot;&quot;</span></span>
<a id="line64"></a><span class="lineno"> 64</span>
<a id="line65"></a><span class="lineno"> 65</span><span class="line"><span class="py-keyword">class</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html">AstVisitor</a> :</span>
<a id="line66"></a><span class="lineno"> 66</span><span class="line">    <span class="py-string">&quot;&quot;&quot;Visitor for AST nodes</span></span>
<a id="line67"></a><span class="lineno"> 67</span><span class="line"><span class="py-string"/></span>
<a id="line68"></a><span class="lineno"> 68</span><span class="line"><span class="py-string">Functions:</span></span>
<a id="line69"></a><span class="lineno"> 69</span><span class="line"><span class="py-string"/></span>
<a id="line70"></a><span class="lineno"> 70</span><span class="line"><span class="py-string">  visitAST(node)</span></span>
<a id="line71"></a><span class="lineno"> 71</span><span class="line"><span class="py-string">  visitModule(node)</span></span>
<a id="line72"></a><span class="lineno"> 72</span><span class="line"><span class="py-string">  visitInterface(node)</span></span>
<a id="line73"></a><span class="lineno"> 73</span><span class="line"><span class="py-string">  visitForward(node)</span></span>
<a id="line74"></a><span class="lineno"> 74</span><span class="line"><span class="py-string">  visitConst(node)</span></span>
<a id="line75"></a><span class="lineno"> 75</span><span class="line"><span class="py-string">  visitDeclarator(node)</span></span>
<a id="line76"></a><span class="lineno"> 76</span><span class="line"><span class="py-string">  visitTypedef(node)</span></span>
<a id="line77"></a><span class="lineno"> 77</span><span class="line"><span class="py-string">  visitMember(node)</span></span>
<a id="line78"></a><span class="lineno"> 78</span><span class="line"><span class="py-string">  visitStruct(node)</span></span>
<a id="line79"></a><span class="lineno"> 79</span><span class="line"><span class="py-string">  visitStructForward(node)</span></span>
<a id="line80"></a><span class="lineno"> 80</span><span class="line"><span class="py-string">  visitException(node)</span></span>
<a id="line81"></a><span class="lineno"> 81</span><span class="line"><span class="py-string">  visitCaseLabel(node)</span></span>
<a id="line82"></a><span class="lineno"> 82</span><span class="line"><span class="py-string">  visitUnionCase(node)</span></span>
<a id="line83"></a><span class="lineno"> 83</span><span class="line"><span class="py-string">  visitUnion(node)</span></span>
<a id="line84"></a><span class="lineno"> 84</span><span class="line"><span class="py-string">  visitUnionForward(node)</span></span>
<a id="line85"></a><span class="lineno"> 85</span><span class="line"><span class="py-string">  visitEnumerator(node)</span></span>
<a id="line86"></a><span class="lineno"> 86</span><span class="line"><span class="py-string">  visitEnum(node)</span></span>
<a id="line87"></a><span class="lineno"> 87</span><span class="line"><span class="py-string">  visitAttribute(node)</span></span>
<a id="line88"></a><span class="lineno"> 88</span><span class="line"><span class="py-string">  visitParameter(node)</span></span>
<a id="line89"></a><span class="lineno"> 89</span><span class="line"><span class="py-string">  visitOperation(node)</span></span>
<a id="line90"></a><span class="lineno"> 90</span><span class="line"><span class="py-string">  visitNative(node)</span></span>
<a id="line91"></a><span class="lineno"> 91</span><span class="line"><span class="py-string">  visitStateMember(node)</span></span>
<a id="line92"></a><span class="lineno"> 92</span><span class="line"><span class="py-string">  visitFactory(node)</span></span>
<a id="line93"></a><span class="lineno"> 93</span><span class="line"><span class="py-string">  visitValueForward(node)</span></span>
<a id="line94"></a><span class="lineno"> 94</span><span class="line"><span class="py-string">  visitValueBox(node)</span></span>
<a id="line95"></a><span class="lineno"> 95</span><span class="line"><span class="py-string">  visitValueAbs(node)</span></span>
<a id="line96"></a><span class="lineno"> 96</span><span class="line"><span class="py-string">  visitValue(node)&quot;&quot;&quot;</span></span>
<a id="line97"></a><span class="lineno"> 97</span>
<a id="line98"></a><span class="lineno"> 98</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitAST">visitAST</a>(self, node):           <span class="py-keyword">return</span></span>
<a id="line99"></a><span class="lineno"> 99</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitModule">visitModule</a>(self, node):        <span class="py-keyword">return</span></span>
<a id="line100"></a><span class="lineno">100</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitInterface">visitInterface</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line101"></a><span class="lineno">101</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitForward">visitForward</a>(self, node):       <span class="py-keyword">return</span></span>
<a id="line102"></a><span class="lineno">102</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitConst">visitConst</a>(self, node):         <span class="py-keyword">return</span></span>
<a id="line103"></a><span class="lineno">103</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitDeclarator">visitDeclarator</a>(self, node):    <span class="py-keyword">return</span></span>
<a id="line104"></a><span class="lineno">104</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitTypedef">visitTypedef</a>(self, node):       <span class="py-keyword">return</span></span>
<a id="line105"></a><span class="lineno">105</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitMember">visitMember</a>(self, node):        <span class="py-keyword">return</span></span>
<a id="line106"></a><span class="lineno">106</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStruct">visitStruct</a>(self, node):        <span class="py-keyword">return</span></span>
<a id="line107"></a><span class="lineno">107</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStructForward">visitStructForward</a>(self, node): <span class="py-keyword">return</span></span>
<a id="line108"></a><span class="lineno">108</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitException">visitException</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line109"></a><span class="lineno">109</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitCaseLabel">visitCaseLabel</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line110"></a><span class="lineno">110</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnionCase">visitUnionCase</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line111"></a><span class="lineno">111</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnion">visitUnion</a>(self, node):         <span class="py-keyword">return</span></span>
<a id="line112"></a><span class="lineno">112</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnionForward">visitUnionForward</a>(self, node):  <span class="py-keyword">return</span></span>
<a id="line113"></a><span class="lineno">113</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitEnumerator">visitEnumerator</a>(self, node):    <span class="py-keyword">return</span></span>
<a id="line114"></a><span class="lineno">114</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitEnum">visitEnum</a>(self, node):          <span class="py-keyword">return</span></span>
<a id="line115"></a><span class="lineno">115</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitAttribute">visitAttribute</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line116"></a><span class="lineno">116</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitParameter">visitParameter</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line117"></a><span class="lineno">117</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitOperation">visitOperation</a>(self, node):     <span class="py-keyword">return</span></span>
<a id="line118"></a><span class="lineno">118</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitNative">visitNative</a>(self, node):        <span class="py-keyword">return</span></span>
<a id="line119"></a><span class="lineno">119</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStateMember">visitStateMember</a>(self, node):   <span class="py-keyword">return</span></span>
<a id="line120"></a><span class="lineno">120</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitFactory">visitFactory</a>(self, node):       <span class="py-keyword">return</span></span>
<a id="line121"></a><span class="lineno">121</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueForward">visitValueForward</a>(self, node):  <span class="py-keyword">return</span></span>
<a id="line122"></a><span class="lineno">122</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueBox">visitValueBox</a>(self, node):      <span class="py-keyword">return</span></span>
<a id="line123"></a><span class="lineno">123</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueAbs">visitValueAbs</a>(self, node):      <span class="py-keyword">return</span></span>
<a id="line124"></a><span class="lineno">124</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValue">visitValue</a>(self, node):         <span class="py-keyword">return</span></span>
<a id="line125"></a><span class="lineno">125</span>
<a id="line126"></a><span class="lineno">126</span>
<a id="line127"></a><span class="lineno">127</span><span class="line"><span class="py-keyword">class</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html">TypeVisitor</a>:</span>
<a id="line128"></a><span class="lineno">128</span><span class="line">    <span class="py-string">&quot;&quot;&quot;Visitor for Type objects</span></span>
<a id="line129"></a><span class="lineno">129</span><span class="line"><span class="py-string"/></span>
<a id="line130"></a><span class="lineno">130</span><span class="line"><span class="py-string">Functions:</span></span>
<a id="line131"></a><span class="lineno">131</span><span class="line"><span class="py-string"/></span>
<a id="line132"></a><span class="lineno">132</span><span class="line"><span class="py-string">  visitBaseType(type)</span></span>
<a id="line133"></a><span class="lineno">133</span><span class="line"><span class="py-string">  visitStringType(type)</span></span>
<a id="line134"></a><span class="lineno">134</span><span class="line"><span class="py-string">  visitWStringType(type)</span></span>
<a id="line135"></a><span class="lineno">135</span><span class="line"><span class="py-string">  visitSequenceType(type)</span></span>
<a id="line136"></a><span class="lineno">136</span><span class="line"><span class="py-string">  visitFixedType(type)</span></span>
<a id="line137"></a><span class="lineno">137</span><span class="line"><span class="py-string">  visitDeclaredType(type)&quot;&quot;&quot;</span></span>
<a id="line138"></a><span class="lineno">138</span>
<a id="line139"></a><span class="lineno">139</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitBaseType">visitBaseType</a>(self, type):     <span class="py-keyword">return</span></span>
<a id="line140"></a><span class="lineno">140</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitStringType">visitStringType</a>(self, type):   <span class="py-keyword">return</span></span>
<a id="line141"></a><span class="lineno">141</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitWStringType">visitWStringType</a>(self, type):  <span class="py-keyword">return</span></span>
<a id="line142"></a><span class="lineno">142</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitSequenceType">visitSequenceType</a>(self, type): <span class="py-keyword">return</span></span>
<a id="line143"></a><span class="lineno">143</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitFixedType">visitFixedType</a>(self, type):    <span class="py-keyword">return</span></span>
<a id="line144"></a><span class="lineno">144</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitDeclaredType">visitDeclaredType</a>(self, type): <span class="py-keyword">return</span></span>
<a id="line145"></a><span class="lineno">145</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:27:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
